<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<!--/*@thymesVar id="screen" type="ch.mobi.mobitor.domain.screen.DefaultScreen"*/-->
<!--/*@thymesVar id="screenConfigKey" type="java.lang.String"*/-->
<!--/*@thymesVar id="serverName" type="java.lang.String"*/-->
<!--/*@thymesVar id="applicationName" type="java.lang.String"*/-->
<!--/*@thymesVar id="environment" type="java.lang.String"*/-->
<!--/*@thymesVar id="streamworksLastRuns" type="java.util.List<ch.mobi.mobitor.plugin.streamworks.domain.StreamworksLastRunStatusInformation>"*/-->
<!-- lines above is to workaround: https://youtrack.jetbrains.com/issue/IDEA-132738 -->

<head>
    <title th:text="'mobitor - Screen - HTTP Status- ' + ${screen.configKey}"></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

    <link href="../static/css/font-awesome.min.css" th:href="@{/css/font-awesome.min.css}" rel="stylesheet" />
    <link href="../static/styles.css" th:href="@{styles.css}" rel="stylesheet" />
</head>
<body>
<h1 class="screenTitle">Streamworks Status</h1>

<p>
    &larr; <a th:href="@{/screen(key=${screen.configKey})}">Back</a> to index.
</p>

<div class="statusInfoList">
    <div>
        <div class="label">Server:</div>        <div th:class="data" th:text="${serverName}"></div>
    </div>
    <div>
        <div class="label">Application:</div>   <div th:class="data" th:text="${applicationName}"></div>
    </div>
    <div>
        <div class="label">Environment:</div>      <div th:class="data" th:text="${environment}"></div>
    </div>

</div>

<div th:each="streamworksLastRun : ${streamworksLastRuns}">
    <!--<h2>Jobs Details from: <span th:text="${lastRun.verarbeitung}"></span> </h2>-->
    <div class="statusInfoList">
        <div th:if="${streamworksLastRun.getJbat3MonitorUrl() != null}">
            <div class="label">Jbat Monitor Link:</div>     <a th:href="${streamworksLastRun.getJbat3MonitorUrl()}" target="_blank">
            <i class="fa fa-external-link"></i>
          </a>
        </div>
    </div>

    <table>
        <thead>
        <tr>
            <th>Name</th>
            <th>Status</th>
            <th>Start Time</th>
            <th>End Time</th>
            <th>Stream Name</th>
            <th>Documentation Link</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="job : ${streamworksLastRun.getJobList()}">
            <td><span th:text="${job.jobName}"> Name </span> </td>
            <td><span th:text="${job.jobStatus}"> Status </span> </td>
            <td><span th:text="${job.getParsedStartTime()}"> Start Time </span> </td>
            <td><span th:text="${job.getParsedEndTime()}"> End Time </span> </td>
            <td><span th:text="${job.streamName}"> Stream Name </span> </td>
            <td style="text-align: left">
                <a th:if="${job.getDocumentationLink() != null}" th:href="${job.getDocumentationLink()}" target="_blank">
                    <i class="fa fa-sitemap"></i>
                </a>
            </td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>
